org.eclipse.incquery.viewers.runtime.model.patterns

## Class Traceability

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BasePatternGroup
  - - org.eclipse.incquery.runtime.api.impl.BaseGeneratedPatternGroup
    - - org.eclipse.incquery.viewers.runtime.model.patterns.Traceability

- All Implemented Interfaces:
    IQueryGroup

      public final class Traceability
      extends BaseGeneratedPatternGroup

  A pattern group formed of all patterns defined in traceability.eiq.

  Use the static instance as any `org.eclipse.incquery.runtime.api.IPatternGroup`, to conveniently prepare an EMF-IncQuery engine for matching all patterns originally defined in file traceability.eiq, in order to achieve better performance than one-by-one on-demand matcher initialization.

  From package org.eclipse.incquery.viewers.runtime.model.patterns, the group contains the definition of the following patterns:

  - param2item
  - param2edge
  - param2containment
  - children
  See Also:
    `IPatternGroup`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildrenQuerySpecification` | `getChildren()`
    `ChildrenMatcher` | `getChildren(IncQueryEngine engine)`
    `Param2containmentQuerySpecification` | `getParam2containment()`
    `Param2containmentMatcher` | `getParam2containment(IncQueryEngine engine)`
    `Param2edgeQuerySpecification` | `getParam2edge()`
    `Param2edgeMatcher` | `getParam2edge(IncQueryEngine engine)`
    `Param2itemQuerySpecification` | `getParam2item()`
    `Param2itemMatcher` | `getParam2item(IncQueryEngine engine)`
    `static Traceability` | `instance()` Access the pattern group.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseGeneratedPatternGroup

      `getSpecifications`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BasePatternGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static Traceability instance()
                                       throws IncQueryException

      Access the pattern group.
      Returns:
        the singleton instance of the group
      Throws:
        `IncQueryException` - if there was an error loading the generated code of pattern specifications

    - #### getParam2item

          public Param2itemQuerySpecification getParam2item()
                                                     throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2item

          public Param2itemMatcher getParam2item(IncQueryEngine engine)
                                          throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2edge

          public Param2edgeQuerySpecification getParam2edge()
                                                     throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2edge

          public Param2edgeMatcher getParam2edge(IncQueryEngine engine)
                                          throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2containment

          public Param2containmentQuerySpecification getParam2containment()
                                                                   throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getParam2containment

          public Param2containmentMatcher getParam2containment(IncQueryEngine engine)
                                                        throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getChildren

          public ChildrenQuerySpecification getChildren()
                                                 throws IncQueryException

      Throws:
        `IncQueryException`

    - #### getChildren

          public ChildrenMatcher getChildren(IncQueryEngine engine)
                                      throws IncQueryException

      Throws:
        `IncQueryException`